---

#! jobs/kunit.yaml
suite: kunit
testcase: kunit
category: functional
kunit:
  group: group-00
kernel_cmdline: kunit.enable=1
job_origin: kunit.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! include/kunit
need_kconfig:
- RUNTIME_TESTING_MENU: y
- KUNIT: y
- KUNIT_DEFAULT_ENABLED: n
- KUNIT_DEBUGFS: y
- KUNIT_ALL_TESTS: m
- KUNIT_EXAMPLE_TEST: n
- KUNIT_TEST: n
- MEMCPY_SLOW_KUNIT_TEST: n
- BITFIELD_KUNIT: m
- BITS_TEST: m
- CMDLINE_KUNIT_TEST: m
- HASH_KUNIT_TEST: m
- LINEAR_RANGES_TEST: m
- LIST_KUNIT_TEST: m
- MEMCPY_KUNIT_TEST: m
- SND_SOC_TOPOLOGY_KUNIT_TEST: m
- NETDEV_ADDR_LIST_TEST: m
- RESOURCE_KUNIT_TEST: m
- SYSCTL_KUNIT_TEST: m
- TIME_KUNIT_TEST: m
- TEST_LIST_SORT: m
- TEST_SORT: m
- CPUMASK_KUNIT_TEST: m
- IS_SIGNED_TYPE_KUNIT_TEST: m
- OVERFLOW_KUNIT_TEST: m
- SIPHASH_KUNIT_TEST: m
- STACKINIT_KUNIT_TEST: m
- STRSCPY_KUNIT_TEST: m
- DRIVER_PE_KUNIT_TEST
- RTC_LIB_KUNIT_TEST: m
- RTC_CLASS: y
- FORTIFY_KUNIT_TEST: m
- FORTIFY_SOURCE: y
- KASAN_KUNIT_TEST: m
- KASAN: y
- EXT4_KUNIT_TESTS: m
- EXT4_FS
- TRACEPOINTS: y
- KFENCE_KUNIT_TEST: m
- KFENCE: y
- MPTCP_KUNIT_TEST: m
- MPTCP: y
- RATIONAL_KUNIT_TEST: m
- RATIONAL: y
- SLUB_KUNIT_TEST: m
- SLOB_DEPRECATED: n
- SLUB: y
- SLUB_DEBUG: y
- SLUB_TINY: n
- SECURITY_APPARMOR_KUNIT_TEST: m
- SECURITY_APPARMOR: y
- CLK_GATE_KUNIT_TEST: m
- CLK_KUNIT_TEST: m
- COMMON_CLK: y
- CROS_KUNIT_EC_PROTO_TEST: m
- CHROME_PLATFORMS: y
- CROS_EC: m
- HID_KUNIT_TEST: m
- HID_SUPPORT: y
- HID
- HID_BATTERY_STRENGTH: y
- USB
- USB_HID
- HID_UCLOGIC: m
- IIO_FORMAT_KUNIT_TEST: m
- IIO: m
- IIO_RESCALE_KUNIT_TEST: m
- IIO_RESCALE: m
- SND_SOC_UTILS_KUNIT_TEST: m
- SOUND: m
- FAT_KUNIT_TEST: m
- FAT_FS: m
- STRING_HELPERS_KUNIT_TEST: m
- STRING_KUNIT_TEST: m
- USERCOPY_KUNIT_TEST: m
- DAMON_KUNIT_TEST: y
- PM_QOS_KUNIT_TEST: y
- BINFMT_ELF_KUNIT_TEST: y
- VCAP_KUNIT_TEST: y
- VCAP: y
- USB4_KUNIT_TEST: y
- USB4: y
- FPROBE_SANITY_TEST: y
- FPROBE: y
- HW_BREAKPOINT_KUNIT_TEST: y
- PROFILING: y
- PERF_EVENTS: y
- DAMON_DBGFS_KUNIT_TEST: y
- DAMON: y
- DAMON_DBGFS: y
- DAMON_VADDR: y
- DAMON_VADDR_KUNIT_TEST: y
- DAMON_PADDR: y
- DAMON_SYSFS: y
- RUNTIME_TESTING_MENU: y
- KUNIT: y
- KUNIT_DEFAULT_ENABLED: n
- KUNIT_DEBUGFS: y
- KUNIT_ALL_TESTS: m
- KUNIT_EXAMPLE_TEST: n
- KUNIT_TEST: n
- MEMCPY_SLOW_KUNIT_TEST: n
- BITFIELD_KUNIT: m
- BITS_TEST: m
- CMDLINE_KUNIT_TEST: m
- HASH_KUNIT_TEST: m
- LINEAR_RANGES_TEST: m
- LIST_KUNIT_TEST: m
- MEMCPY_KUNIT_TEST: m
- SND_SOC_TOPOLOGY_KUNIT_TEST: m
- NETDEV_ADDR_LIST_TEST: m
- RESOURCE_KUNIT_TEST: m
- SYSCTL_KUNIT_TEST: m
- TIME_KUNIT_TEST: m
- TEST_LIST_SORT: m
- TEST_SORT: m
- CPUMASK_KUNIT_TEST: m
- IS_SIGNED_TYPE_KUNIT_TEST: m
- OVERFLOW_KUNIT_TEST: m
- SIPHASH_KUNIT_TEST: m
- STACKINIT_KUNIT_TEST: m
- STRSCPY_KUNIT_TEST: m
- DRIVER_PE_KUNIT_TEST
- RTC_LIB_KUNIT_TEST: m
- RTC_CLASS: y
- FORTIFY_KUNIT_TEST: m
- FORTIFY_SOURCE: y
- KASAN_KUNIT_TEST: m
- KASAN: y
- EXT4_KUNIT_TESTS: m
- EXT4_FS
- TRACEPOINTS: y
- KFENCE_KUNIT_TEST: m
- KFENCE: y
- MPTCP_KUNIT_TEST: m
- MPTCP: y
- RATIONAL_KUNIT_TEST: m
- RATIONAL: y
- SLUB_KUNIT_TEST: m
- SLOB_DEPRECATED: n
- SLUB: y
- SLUB_DEBUG: y
- SLUB_TINY: n
- SECURITY_APPARMOR_KUNIT_TEST: m
- SECURITY_APPARMOR: y
- CLK_GATE_KUNIT_TEST: m
- CLK_KUNIT_TEST: m
- COMMON_CLK: y
- CROS_KUNIT_EC_PROTO_TEST: m
- CHROME_PLATFORMS: y
- CROS_EC: m
- HID_KUNIT_TEST: m
- HID_SUPPORT: y
- HID
- HID_BATTERY_STRENGTH: y
- USB
- USB_HID
- HID_UCLOGIC: m
- IIO_FORMAT_KUNIT_TEST: m
- IIO: m
- IIO_RESCALE_KUNIT_TEST: m
- IIO_RESCALE: m
- SND_SOC_UTILS_KUNIT_TEST: m
- SOUND: m
- FAT_KUNIT_TEST: m
- FAT_FS: m
- STRING_HELPERS_KUNIT_TEST: m
- STRING_KUNIT_TEST: m
- USERCOPY_KUNIT_TEST: m
- DAMON_KUNIT_TEST: y
- PM_QOS_KUNIT_TEST: y
- BINFMT_ELF_KUNIT_TEST: y
- VCAP_KUNIT_TEST: y
- VCAP: y
- USB4_KUNIT_TEST: y
- USB4: y
- FPROBE_SANITY_TEST: y
- FPROBE: y
- HW_BREAKPOINT_KUNIT_TEST: y
- PROFILING: y
- PERF_EVENTS: y
- DAMON_DBGFS_KUNIT_TEST: y
- DAMON: y
- DAMON_DBGFS: y
- DAMON_VADDR: y
- DAMON_VADDR_KUNIT_TEST: y
- DAMON_PADDR: y
- DAMON_SYSFS: y

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: validate
testbox: lkp-csl-d02
tbox_group: lkp-csl-d02
branch: linux-next/master
commit: 3a34e8ea62cdeba64a66fa4489059c59ba4ec285
repeat_to: 1
job_file: "/lkp/jobs/scheduled/lkp-csl-d02/kunit-group-00-debian-12-x86_64-20240206.cgz-3a34e8ea62cd-20240823-136528-c206ov-0.yaml"
id: ebab0201b5b15cd0774e886a5214204317416f72
queuer_version: "/zday/lkp"

#! /db/releases/20240813114533/lkp-src/hosts/lkp-csl-d02
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 128G
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-ST4000DM004-2U9104_WFN65D7R-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW512G8_BTNH124202ZP512A-part4"
kernel_cmdline_hw: acpi_rsdp=0x36983000
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240813114533/lkp-src/include/category/functional

#! /db/releases/20240813114533/lkp-src/include/category/ALL

#! /db/releases/20240813114533/lkp-src/include/kunit

#! /db/releases/20240813114533/lkp-src/include/testbox/lkp-csl-d02
ucode: '0x5003604'
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-8.3-kunit
enqueue_time: 2024-08-23 00:40:46.087872396 +08:00
compiler: gcc-12
_rt: "/result/kunit/group-00/lkp-csl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kunit/gcc-12/3a34e8ea62cdeba64a66fa4489059c59ba4ec285"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240808-144501"
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kunit/group-00/lkp-csl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kunit/gcc-12/3a34e8ea62cdeba64a66fa4489059c59ba4ec285/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kunit/gcc-12/3a34e8ea62cdeba64a66fa4489059c59ba4ec285/vmlinuz-6.11.0-rc2-00010-g3a34e8ea62cd
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-csl-d02/kunit-group-00-debian-12-x86_64-20240206.cgz-3a34e8ea62cd-20240823-136528-c206ov-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kunit
- commit=3a34e8ea62cdeba64a66fa4489059c59ba4ec285
- kunit.enable=1
- intremap=posted_msi
- acpi_rsdp=0x36983000
- max_uptime=6000
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kunit/gcc-12/3a34e8ea62cdeba64a66fa4489059c59ba4ec285/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240813114533/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d02/kunit-group-00-debian-12-x86_64-20240206.cgz-3a34e8ea62cd-20240823-136528-c206ov-0.cgz"
last_kernel: 6.11.0-rc3-00245-g60cb1da6ed4a
acpi_rsdp: '0x36983000'

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3-kunit/gcc-12/3a34e8ea62cdeba64a66fa4489059c59ba4ec285/vmlinuz-6.11.0-rc2-00010-g3a34e8ea62cd"
result_root: "/result/kunit/group-00/lkp-csl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kunit/gcc-12/3a34e8ea62cdeba64a66fa4489059c59ba4ec285/0"
dequeue_time: 2024-08-23 02:26:38.378746125 +08:00
job_state: finished
loadavg: 6.44 9.55 5.18 1/439 6758
start_time: '1724336719'
end_time: '1724336784'
version: "/lkp/lkp/.src-20240808-144501:e35bd1203041:826807ed2b16"
